Linux Today: Linux News On Internet Time.
Search Linux Today
Linux News Sections:  Developer -  High Performance -  Infrastructure -  IT Management -  Security -  Storage -
Linux Today Navigation
LT Home
Contribute
Contribute
Link to Us
Linux Jobs


Top White Papers

More on LinuxToday


Release Digest: GNOME, March 30, 2004

Mar 31, 2004, 05:00 (0 Talkback[s])

gst-python 0.7.90

I am pleased to announce 0.7.90, named "Here's looking at you kid" of the Python bindings for GStreamer.

The new release is available from:

http://gstreamer.freedesktop.org/src/gst-python/gst-python-0.7.90.tar.gz

GStreamer is a library that allows the construction of graphs of media-handling components, ranging from simple mp3 playback to complex audio (mixing) and video (non-linear editing) processing. Applications can take advantage of advances in codec and filter technology transparently. Developers can add new codecs and filters by writing a simple plugin with a clean, generic interface. GStreamer is released under the LGPL.

gst-python provides a convenient wrapper for the GStreamer library for use in Python programs, and takes care of many of the boring details such as managing memory and type casting.

Like the GTK library itself gst-python is licensed under the GNU LGPL, so is suitable for use in both free software and proprietary applications. It is already in use in many applications ranging from small single purpose scripts up to large full features applications.

To build, gst-python requires:
PyGTK >= 1.99.14
GStreamer >= 0.8.0
GStreamer-plugins >= 0.8.0 (optional, for player and interfaces)
Python >= 2.2

This is the first release that targets GStreamer 0.8 and include many changes since the last release. The main features are:

  • GstPlay, for easy video and audio playing
  • GstInterfaces.

There are updated examples included in the tarball.

If you just want too see how it looks like, check out this sample video/audio player: http://tinyurl.com/yspte

Note, that the name of the modules are changed in this release. GStreamer is now called gst, GStInterfaces: gst.interfaces and GstPlay: gst.play.

Bugs should be filed against the gst-python component in the GStreamer product in bugzilla.gnome.org/:

http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer&component=gst-python

Enjoy!

--
Johan Dahlin
johan@gnome.org


Epiphany Extensions 0.8.1

Hi,

What is it ?

Epiphany Extensions is a collection of extensions for Epiphany, the GNOME web browser.

What's new ?

Epiphany Extensions 0.8.1

Translations:

  • Francesco Marletta (it)
  • (sr, sr@Latn)
  • (en_GB)

Epiphany Extensions 0.8.0

New features

  • Popup blocker icon in statusbar (Adam)
  • Show/hide popup windows from View menu (Adam)
  • Link checker in error viewer window (Adam)
  • Certificate viewer for SSL connections (Christian)
  • Access mozilla's XUL Certificate Manager (Christian)

Code changes

  • Adapt to Epiphany API changes (Christian)
  • Enable compilation with mozilla < 1.7a (Adam)

Bug fixes

  • Remove timeout from link checker (Adam)
  • Persist position of error viewer window (Adam)
  • Remember popup locations (Adam)

ranslations

  • Amanpreet Singh Alam (pa)
  • Christian Neumair (de)
  • Christian Rose (sv)
  • Duarte Loreto (pt)
  • Esteao Samuel Procipio (pt_BR)
  • Francisco Javier F. Serrador (es)
  • Funda Wang (zh_CN)
  • Kjartan Maraas (no)
  • Kostas Papadimas (el)
  • ? (hr)
  • Laszlo Dvornik (hu)
  • Laurent Dhima (sq)
  • Miloslav Trmac (cs)
  • Reinout van Schouwen (nl)
  • Xavier Conde Rueda (ca)
  • Yukihiro Nakai (ja)
  • Zygimantas Berucka (lt)
  • (sr)

Where can I get it ?

Source code:
http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/0.8/epiphany-extensions-0.8.1.tar.bz2

Epiphany Extensions 0.8.1 requires Epiphany 1.2.1 or above: http://ftp.gnome.org/pub/GNOME/sources/epiphany/1.2/epiphany-1.2.2.tar.bz2

Regards,

Christian


Epiphany 1.2.2

Hi,

What is it ?

Epiphany is a GNOME web browser based on the mozilla rendering engine. It aims to be simple and easy to use.

http://gnome.org/projects/epiphany

What's changed ?

Epiphany 1.2.2

Translations:

  • Amanpreet Singh Alam (pa)
  • Duarte Loreto (pt)
  • Asmund Skjovelan (nn)
  • Gujarati team at Magnet-i (gu)
  • Trinh Minh Thanh (vi)

Where can I get it ?

Source code:
http://ftp.gnome.org/pub/GNOME/sources/epiphany/1.2/epiphany-1.2.2.tar.gz

Epiphany 1.2.2 requires mozilla 1.4, 1.4.1, 1.5, or 1.6.

The recommended version is Mozilla 1.6: ftp://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla1.6/src/mozilla-source-1.6.tar.bz2

More about dependencies and installation tips: http://gnome.org/projects/epiphany/downloads.html

Enjoy.

Christian